// FlashPlayerDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FlashPlayer.h"
#include "FlashPlayerDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include "MyHyperLink.h"

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	CMyHyperLink	myLink;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
	myLink.SetLinkUrl("http://activex.moonvalley.com");
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Control(pDX, IDC_LINK, myLink);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFlashPlayerDlg dialog

CFlashPlayerDlg::CFlashPlayerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFlashPlayerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFlashPlayerDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFlashPlayerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFlashPlayerDlg)
	DDX_Control(pDX, IDC_EDIT1, edtBox);
	DDX_Control(pDX, IDC_CHECK1, loop);
	DDX_Control(pDX, IDC_BUTTON1, MVSButton);
	DDX_Control(pDX, IDC_SHOCKWAVEFLASH1, shock);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFlashPlayerDlg, CDialog)
	//{{AFX_MSG_MAP(CFlashPlayerDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON2, OnOpen)
	ON_BN_CLICKED(IDC_BUTTON3, OnRewind)
	ON_BN_CLICKED(IDC_BUTTON4, OnBack)
	ON_BN_CLICKED(IDC_BUTTON5, OnPlay)
	ON_BN_CLICKED(IDC_BUTTON6, OnStop)
	ON_BN_CLICKED(IDC_BUTTON7, OnForward)
	ON_BN_CLICKED(IDC_CHECK1, OnCheck1)
	ON_BN_CLICKED(IDC_BUTTON8, OnHigh)
	ON_BN_CLICKED(IDC_BUTTON9, OnLow)
	ON_BN_CLICKED(IDC_BUTTON1, OnMVSButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFlashPlayerDlg message handlers

BOOL CFlashPlayerDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	MVSButton.LoadBitmap(IDB_BITMAP1);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CFlashPlayerDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CFlashPlayerDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CFlashPlayerDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CFlashPlayerDlg::OnOpen() 
{
	
	CString fileName;

	CFileDialog dlg(true, ".swf", NULL, OFN_EXPLORER |OFN_HIDEREADONLY, "Flash Files (*.swf)|*.swf|All Files (*.*)|*.*||", this);	

	if (loop.GetCheck() == 1)
		shock.SetLoop(true);
	else
		shock.SetLoop(false);

	if (dlg.DoModal() == IDOK)
	{
		shock.SetMovie(dlg.GetPathName());
		edtBox.SetWindowText(dlg.GetPathName());
	}
	
}

void CFlashPlayerDlg::OnRewind() 
{
	shock.Rewind();	
	shock.Stop();
}

void CFlashPlayerDlg::OnBack() 
{
	shock.Back();	
}

void CFlashPlayerDlg::OnPlay() 
{
	shock.Play();	
}

void CFlashPlayerDlg::OnStop() 
{
	shock.Stop();	
}

void CFlashPlayerDlg::OnForward() 
{
	shock.Forward();	
}

void CFlashPlayerDlg::OnCheck1() 
{
	
	if (loop.GetCheck() == 1)
		shock.SetLoop(true);
	else
		shock.SetLoop(false);
	
}

void CFlashPlayerDlg::OnHigh() 
{
	shock.SetQuality(1);
}

void CFlashPlayerDlg::OnLow() 
{
	shock.SetQuality(0);
}

void CFlashPlayerDlg::OnMVSButton() 
{
	ShellExecute(NULL, "open", "http://activex.moonvalley.com", NULL, NULL, SW_SHOWNORMAL);	
}
